import os
from pathlib import Path

import numpy
from stormevents.nhc import VortexTrack
from stormevents.nhc.atcf import ATCF_FileDeck

from ensembleperturbation.perturbation.atcf import (
    AlongTrack,
    CrossTrack,
    MaximumSustainedWindSpeed,
    perturb_tracks,
    RadiusOfMaximumWinds,
    VortexPerturber,
)

if __name__ == '__main__':
    output_directory = Path.cwd() / 'track_files'

    if not output_directory.exists():
        output_directory.mkdir(parents=True, exist_ok=True)

    track = VortexTrack(
        storm='al062018', start_date='20180912', end_date=None, #'20180915', 
        file_deck='a', #record_type='OFCL',
    )
    track.write('adv.22')
    track = VortexTrack(
        storm='al062018', start_date='2018090518', end_date=None, #'20180915', 
        file_deck='b', #record_type='OFCL',
    )
    track.write('best_track_long.22')

