import os
from pathlib import Path

import tropycal.tracks as tracks
import datetime as dt

if __name__ == '__main__':
    output_directory = Path.cwd()

    if not output_directory.exists():
        output_directory.mkdir(parents=True, exist_ok=True)

    hurdat_atl = tracks.TrackDataset(basin='north_atlantic',source='hurdat',include_btk=False)

    storm = hurdat_atl.get_storm(('florence',2018))

    storm.plot(domain={'north':45,'south':20,'west':-94,'east':-60}, save_path = str(output_directory / 'best_track.png') )
   
    adv_number = 54 
    storm.plot_nhc_forecast(forecast=adv_number, save_path = str(output_directory) )

    nhc_forecasts = storm.get_operational_forecasts()
    nhc_forecasts['OFCL']['2018091218']
   
    nhc_discussion = storm.get_operational_forecasts(forecast=adv_number)
